/** \file dburl.c	URL handling functions.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup db	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 2002  Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include "../config.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "db_conn.h"

/**
 * \param url	The URL string to parse.
 * \return The appropriate connector, or NULL if none can be found.	*/
DBConnector *dburl_get_connector(char *url) {
	char *pos;
	char *u;
	DBConnector *dbc = NULL;

	if ((url == NULL) || (strlen(url) == 0)) {
		fprintf(stderr, "WARNING: NULL database URL\n");
		return NULL;
	}

	u = strdup(url);

	pos = strchr(u, ':');
	if (pos != NULL) {
		*pos = '\0';
		dbc = dbconnector_find(u);
	}

	free(u);
	return dbc;
}
