/** \file export.h	Include file for export functions.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup gui	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 1998-2003  Lionel ULMER, Darryl Luff.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __EXPORT_H__
#define __EXPORT_H__

#include <gtk/gtk.h>

/** Data for common export dialog.	*/
typedef struct _common_export_data {
	GtkWidget *dialog;	/**< Dialog widget.	*/
	char *filename;		/**< Export filename. This is the full filename including the full path information.	*/
	char *raw_filename;	/**< Raw filename. This is the base filename without the path.	*/
} CommonExportData;


void add_entry_line(char *labeltext, GtkWidget * widget,
						   GtkWidget * table, int height);
int export_in_progress();
void result_export();

#endif
