/** \file gui.h
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup gui
 *
 * This file describes the API functions supported by the GUI module, and available for use by
 * other modules.	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 1998-2002 Lionel ULMER, Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef _GUIAPI_H
#define _GUIAPI_H

#include "dbapi.h"
#include "interface.h"
#include "support.h"

extern DBConnection *guiConnection;

/** Checks whether currently connected.	*/
int disconnect_first(void);

/** Get the name of the rc file to use.	*/
char *get_rcname(void);

/** Retrieve the current workspace.	*/
void gui_get_workspace();

/** Initialise the main window.	*/
void populate_mainWindow();

#endif
