/** \file menus.c	This file should contain all menu functions and 
 * declarations. It doesn't yet.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup gui	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 *
 * Copyright (C) 1998-2003 Lionel ULMER, Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <string.h>
#include "menus.h"

/** Create the main menu.	*/
GtkWidget *create_menu(SubMenu *cmenu)
{
	int j;
	GtkWidget *item;
	GtkWidget *menu;

	/* First we create the menu */
	menu = gtk_menu_new();

	/* Then we add all the items */
	j = 0;
	while (cmenu[j].label != NULL) {
		if (strlen(cmenu[j].label) == 0)
			item = gtk_menu_item_new();
		else {
			if (cmenu[j].type == TOGGLE_BUTTON) {
				item = gtk_check_menu_item_new_with_label(cmenu[j].label);
				gtk_check_menu_item_set_show_toggle(GTK_CHECK_MENU_ITEM(item), TRUE);
			}
			else
				item = gtk_menu_item_new_with_label(cmenu[j].label);
		}

		gtk_menu_append(GTK_MENU(menu), item);
		if (cmenu[j].callback != NULL)
			gtk_signal_connect_object(GTK_OBJECT(item), "activate",
									  GTK_SIGNAL_FUNC(cmenu[j].callback),
									  cmenu[j].data);
		gtk_widget_show(item);

		if (cmenu[j].store_to != NULL)
			*(cmenu[j].store_to) = item;

		j++;
	}
	return menu;
}
