/** \file menus.h	Interface to menu module.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup gui	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 2002 Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MENUS_H
#define __MENUS_H

#include <gtk/gtk.h>

/* Defines for submenus type */
#define NORM_BUTTON   0
#define TOGGLE_BUTTON 1

/** Submenu definition structure.	*/
typedef struct _submenu {
	char *label;			/**< Menu label.	*/
	void (*callback) ();	/**< Function to call.	*/
	gpointer data;			/**< Callback data.	*/
	GtkWidget **store_to;	/**< Variable to store the menu in.	*/
	int type;				/**< Menu type.	*/
} SubMenu;

GtkWidget *create_menu(SubMenu *cmenu);

#endif
