/** \file mytoolbar.h	Toolbar functions include file.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup gui	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 1998-2003  Lionel ULMER, Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MYTOOLBAR_C__
#define __MYTOOLBAR_C__

/** Toolbar structure.	*/
typedef struct _toolbar {
	char *label;			/**< Text label.	*/
	char **pixmap;			/**< Button pixmap.	*/
	char **grey_pixmap;		/**< Button greyed pixmap.	*/
	char *tooltip;			/**< Button tooltip.	*/
	void (*callback) ();	/**< Action callback.	*/
	gpointer data;			/**< User data.	*/
	GtkWidget **store_to;	/**< Unknown.	*/
} ToolBar;

GtkWidget *create_my_toolbar(GtkWidget * ref, ToolBar * toolbardef);
void set_my_toolbar_config(int config);

#endif
