/** \file query_import_dlg.c	Query import dialog.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup gui	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL and MySQL.
 * Copyright (C) 1998-2003  Lionel ULMER, Darryl Luff.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of tdo_he License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>
#include <stdio.h>

#include "buf.h"
#include "gui_common.h"
#include "interface.h"

void query_import_dialog_hide(void)
{
	if (queryImportDialog != NULL)
		gtk_widget_hide(GTK_WIDGET(queryImportDialog));
}

GtkFileSelection *query_import_dialog_create() {
	ABuf *buf = buf_new(500);

	if (queryImportDialog == NULL) {
		queryImportDialog = GTK_FILE_SELECTION(create_queryImportDlg());

		buf_strcpy(buf, cfg_get_current_dir());
		buf_strcat(buf, "/*.sql");
		gtk_file_selection_set_filename(GTK_FILE_SELECTION(queryImportDialog), buf->b_dat);
		buf = buf_free(buf);
	}
	return queryImportDialog;
}

void query_import_dialog_show(void)
{
	query_import_dialog_create();
	gtk_widget_show(GTK_WIDGET(queryImportDialog));
}
