/** \file query_save_dlg.h	Query save dialog interface.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup gui	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 1998-2002  Lionel ULMER, Darryl Luff.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * ==========================================================================
 *
 * Functions for managing the query and result windows.
 */

#ifndef __QUERY_SAVE_DLG_H
#define __QUERY_SAVE_DLG_H

/* ==== Types ==== */
/** Data for the Query Save dialog.	*/
typedef struct _querysavedata {
	/** Pointer to the associated query.	*/
	GtkWidget *query;
	/** Pointer to the QueryData structure for this query.	*/
	QueryData *qdata;
} QuerySaveData;

/* ==== Variables ==== */
extern QuerySaveData querySaveData;

/** Create the query save dlg.	*/
void query_save_dialog_create(GtkWidget * qry);

/** Hide the query save dlg.	*/
void query_save_dialog_hide();

/** Show the query save dialog.	*/
void query_save_dialog_show(GtkWidget *qry);

#endif
