/** \file register.c	Plugin registry.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup register	*/
/* $Id: register.c,v 1.2 2003/08/31 09:47:50 djluff Exp $
 * GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 1998-2003 Lionel ULMER, Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "../config.h"
#include <stdlib.h>

#include "d_mysql_f.h"
#include "d_postgres_f.h"
#include "d_xpath_f.h"

/** Holds references to the registration functions for the supported
 * databases.	*/
db_register_func registerDB[] = {
#ifdef USE_POSTGRESQL
	/** Registers the PostgreSQL driver.	*/
	register_PostgreSQL,
#endif
#ifdef USE_MYSQL
	/** Registers the MySQL driver.	*/
	register_MySQL,
#endif
#ifdef USE_XPATH
	/** Registers the XPath driver.	*/
	register_XPath,
#endif
	NULL
};
